/**
 * @module mod_treasurehunt/edit
 * @package mod_treasurehunt
 * @copyright 2016 onwards Adrian Rodriguez Fernandez <huorwhisp@gmail.com>,
 *            Juan Pablo de Castro <jpdecastro@tel.uva.es>
 * @author Adrian Rodriguez <huorwhisp@gmail.com>
 * @author Juan Pablo de Castro <jpdecastro@tel.uva.es>*
 * @license http:// www.gnu.org/copyleft/gpl.html GNU GPL v3 or later.
 */
define(["jquery","jqueryui","mod_treasurehunt/jquery-ui-touch-punch","core/notification","mod_treasurehunt/ol","core/ajax","mod_treasurehunt/osm-geocoder","mod_treasurehunt/ol3-layerswitcher","core/str","mod_treasurehunt/viewgpx"],(function(e,t,o,i,a,r,n,s,l,d){function c(t,o,s,l,c,u){var g=new a.proj.Projection("EPSG:3857"),p=null,h=!0;if(void 0!==u&&null!=u){if(null!=u.custombackgroundurl){var f=a.proj.transformExtent(u.bbox,"EPSG:4326","EPSG:3857");if(!u.geographic){f[2],f[0];var m=f[3]-f[1],v=(f[2]+f[0])/2,y=(f[3]+f[1])/2,b=Math.round(m/u.imgheight),w=Math.round(u.imgwidth*b),F=Math.round(u.imgheight*b);f=[v-w/2,y-F/2,v+w/2,y+F/2]}p=new a.layer.Image({title:u.layername,type:u.layertype,source:new a.source.ImageStatic({url:u.custombackgroundurl,imageExtent:f}),opacity:1})}else if(null!=u.wmsurl){var P={source:new a.source.TileWMS({url:u.wmsurl,params:u.wmsparams}),type:u.layertype,title:u.layername};if(null!=u.bbox[0]&&null!=u.bbox[1]&&null!=u.bbox[2]&&null!=u.bbox[3]){var C=a.proj.transformExtent(u.bbox,"EPSG:4326","EPSG:3857");P.extent=C}p=new a.layer.Tile(P)}h=u.geographic}var I,S,x,k,E={roads:{}},A=new a.source.Vector({projection:"EPSG:3857"}),G=new a.source.Vector({projection:"EPSG:3857"}),z=!1,T=!1,B=!1,j={},_=1,M=new a.layer.Vector({source:new a.source.Vector({projection:"EPSG:3857"})});let V;function L(t,o,i,a,r,n){var s,l=e(t).get([i]),d=e(l).attr("roadid");s=Math.abs(e(l).index('li[roadid="'+d+'"]')-o),e(l).attr("stageposition",s),e(l).find(".sortable-number").text(s),e(l).hasClass("ui-selected")&&(I=s),function(e,t,o,i,a,r){var n,s=i.getFeatureById(e);s||((s=a.getFeatureById(e).clone()).setId(e),i.addFeature(s));if(s.setProperties({stageposition:t}),"empty"!==s.get("idFeaturesPolygons")){n=s.get("idFeaturesPolygons").split(",");for(var l=0,d=n.length;l<d;l++)r.getSource().getFeatureById(n[l]).setProperties({stageposition:t})}}(parseInt(e(l).attr("stageid"),10),s,parseInt(e(l).attr("roadid"),10),a,r,n)}h&&(e('<div id="searchcontainer">').appendTo(e("#controlpanel")),e('<input type="search" placeholder="'+s.searchlocation+'" class="searchaddress"/>').appendTo(e("#searchcontainer")),e('<span class="ui-icon  ui-icon-search searchicon"></span>').prependTo(e("#searchcontainer")),e('<span class="ui-icon  ui-icon-closethick closeicon invisible"></span>').appendTo(e("#searchcontainer"))),e('<ul id="stagelist"/>').prependTo(e("#stagelistpanel")),e("#stagelist").sortable({handle:".handle",tolerance:"pointer",zIndex:9999,opacity:.5,forcePlaceholderSize:!0,cursorAt:{top:-7},cursor:"n-resize",axis:"y",items:"li:not(:hidden , .blocked)",helper:"clone",start:function(t,o){var i=o.item.attr("roadid"),a=o.item.index('li[roadid="'+i+'"]'),r=e(this).data("ui-sortable").scrollParent,n=r[0].scrollHeight-r[0].clientHeight-o.helper.height();o.item.data("start_pos",a),e(this).data("maxScrollTop",n)},sort:function(t,o){var i=e(this).data("ui-sortable").scrollParent,a=e(this).data("maxScrollTop");i.scrollTop()>a&&i.scrollTop(a)},update:function(t,o){var i,a=o.item.data("start_pos"),r=o.item.attr("roadid"),n=o.item.index('li[roadid="'+r+'"]'),s=e(this).children('li[roadid="'+r+'"]'),l=e(s).length;if(a!==n){if(a<n)for(i=a;i<=n;i++)L(s,l,i,A,G,E.roads[r].vector);else for(i=n;i<=a;i++)L(s,l,i,A,G,E.roads[r].vector);re(),z=!0}}}).disableSelection(),e('<ul id="roadlist"/>').appendTo(e("#roadlistpanel")),window.app={};var O=window.app;O.generateResizableControl=function(e){var t=e||{},o=document.createElement("button"),i=document.createElement("div");o.innerHTML="<>",o.id="egrip",i.className="ol-control ol-unselectable egrip-container",i.appendChild(o),a.control.Control.call(this,{element:i,target:t.target})},a.inherits(O.generateResizableControl,a.control.Control);var D=new a.style.Style({fill:new a.style.Fill({color:"rgba(100, 100, 255, 0.2)"}),stroke:new a.style.Stroke({color:"rgba(100, 100, 255, 0.5)",width:2}),image:new a.style.Circle({radius:5,fill:new a.style.Fill({color:"#ffcc33"}),stroke:new a.style.Stroke({color:"#000000",width:2})}),text:new a.style.Text({textAlign:"center",scale:1.3,fill:new a.style.Fill({color:"#fff"}),stroke:new a.style.Stroke({color:"#6C0492",width:3.5})})}),N=new a.style.Style({fill:new a.style.Fill({color:"rgba(200, 100, 100, 0.2)"}),stroke:new a.style.Stroke({color:"rgba(255, 0, 0, 0.5)",width:3}),image:new a.style.Circle({radius:5,fill:new a.style.Fill({color:"#ffcc33"}),stroke:new a.style.Stroke({color:"#000000",width:2})}),text:new a.style.Text({textAlign:"center",scale:1.3,fill:new a.style.Fill({color:"#fff"}),stroke:new a.style.Stroke({color:"#C3000B",width:3.5})}),zIndex:"Infinity"}),H=new a.layer.Vector({source:new a.source.Vector({projection:"EPSG:3857"}),visible:!1}),W=new a.layer.Group({title:s.basemaps,layers:[new a.layer.Tile({title:s.aerialmap,type:"base",visible:!1,source:new a.source.BingMaps({key:"AmC3DXdnK5sXC_Yp_pOLqssFSaplBbvN68jnwKTEM3CSn2t6G5PGTbYN3wzxE5BR",imagerySet:"AerialWithLabels",maxZoom:19})}),new a.layer.Tile({title:s.roadmap,type:"base",visible:!0,source:new a.source.OSM})]});null!=p&&(u.onlybase&&W.getLayers().clear(),W.getLayers().push(p));document.getElementById("popup"),document.getElementById("popup-content"),document.getElementById("popup-closer");var q=d.createCoordsOverlay("#mapedit",null,s.pegmanlabel),R=new a.control.LayerSwitcher,K=new a.Map({layers:[W,H],overlays:[q],projection:g,renderer:"canvas",target:"mapedit",view:new a.View({center:[0,0],zoom:2,minZoom:2}),controls:a.control.defaults().extend([R,new O.generateResizableControl({target:document.getElementById("stagelistpanel")})])});K.on("click",(function(e){X.getActive()||J.getActive()||null!==u&&!u.geographic||q.setPosition(e.coordinate)})),R.showPanel(),e("#stagelistpanel").resizable({handles:{e:e("#egrip")},resize:function(e,t){t.size.height=t.originalSize.height},stop:function(e,t){K.updateSize()},cancel:""});var J={init:function(){this.select=new a.interaction.Select({filter:function(e){return!!j[e.getId()]},style:function(e){var t=new a.style.Fill({color:"rgba(255,100,100,0.4)"}),o=new a.style.Stroke({color:"rgba(255, 0, 0, 1)",width:4});return[new a.style.Style({image:new a.style.Circle({fill:t,stroke:o,radius:5}),fill:t,stroke:o,text:new a.style.Text({text:""+e.get("stageposition"),textAlign:"center",scale:1.3,fill:new a.style.Fill({color:"#fff"}),stroke:new a.style.Stroke({color:"rgba(255, 0, 0, 1)",width:3.5})}),zIndex:"Infinity"})]}}),K.addInteraction(this.select),this.modify=new a.interaction.Modify({features:this.select.getFeatures(),style:new a.style.Style({image:new a.style.Circle({radius:5,fill:new a.style.Fill({color:"#3399CC"}),stroke:new a.style.Stroke({color:"#000000",width:2})})}),deleteCondition:function(e){return a.events.condition.shiftKeyOnly(e)&&a.events.condition.singleClick(e)}}),K.addInteraction(this.modify),this.setEvents()},setEvents:function(){k=this.select.getFeatures(),this.select.on("change:active",(function(){k.clear(),$()})),this.select.on("select",(function(){k.getLength()>0?e("#removefeature").prop("disabled",!1):$()})),this.modify.on("modifyend",(function(e){re(),function(e,t,o,i){e.forEach((function(e){var r,n=e.get("stageid"),s=o.getFeatureById(n);s||((s=t.getFeatureById(n).clone()).setId(n),o.addFeature(s));for(var l=new a.geom.MultiPolygon([]),d=0,c=(r=s.get("idFeaturesPolygons").split(",")).length;d<c;d++)l.appendPolygon(i.getSource().getFeatureById(r[d]).getGeometry().clone());s.setGeometry(l)}))}(e.features,G,A,E.roads[S].vector),z=!0}))},getActive:function(){return!(!this.select.getActive()||!this.modify.getActive())},setActive:function(e){this.select.setActive(e),this.modify.setActive(e)}};J.init();var X={init:function(){K.addInteraction(this.Polygon),this.Polygon.setActive(!1),this.setEvents()},Polygon:new a.interaction.Draw({source:H.getSource(),type:"Polygon",style:new a.style.Style({fill:new a.style.Fill({color:"rgba(0, 0, 0, 0.05)"}),stroke:new a.style.Stroke({color:"#FAC30B",width:2}),image:new a.style.Circle({radius:5,fill:new a.style.Fill({color:"#ffcc33"}),stroke:new a.style.Stroke({color:"#000000",width:2})}),zIndex:"Infinity"})}),setEvents:function(){this.Polygon.on("drawend",(function(t){B=!1,T?(H.getSource().clear(),T=!1):(t.feature.setProperties({roadid:S,stageid:x,stageposition:I}),j[_]=!0,t.feature.setId(_),_++,E.roads[S].vector.getSource().addFeature(t.feature),function(t,o,i){var a=t.get("stageid"),r=t.get("roadid"),n=i.getFeatureById(a);n||((n=o.getFeatureById(a).clone()).setId(a),i.addFeature(n));"empty"===n.get("idFeaturesPolygons")?(n.setProperties({idFeaturesPolygons:""+t.getId()}),function(t,o){if(e('#stagelist li[stageid="'+t+'"]').children(".handle, .nohandle").addClass("validstage").removeClass("invalidstage"),o){e("label[for='addradio']").removeClass("highlightbutton"),0===e("#stagelist li[roadid='"+o+"']").find(".invalidstage").length&&e("#erremptystage").addClass("invisible")}}(a,r)):n.setProperties({idFeaturesPolygons:n.get("idFeaturesPolygons")+","+t.getId()});n.getGeometry().appendPolygon(t.getGeometry())}(t.feature,G,A),H.getSource().clear(),re(),z=!0)})),this.Polygon.on("drawstart",(function(e){B=!0}))},getActive:function(){return this.Polygon.getActive()},setActive:function(e){e?this.Polygon.setActive(!0):this.Polygon.setActive(!1),K.getTargetElement().style.cursor=e?"none":""}};e(document).keyup((function(e){27===e.keyCode&&B&&(T=!0,X.Polygon.finishDrawing())})),X.init(),ie(),oe();var Y=new a.interaction.Snap({source:H.getSource()});function Z(e){var t=e.get("stageposition");return isNaN(t)||(N.getText().setText(""+t),D.getText().setText(""+t)),j[e.getId()]?[N]:[D]}function Q(t,o){var i=0;for(var a in t)if(E.roads.hasOwnProperty(a)){i=1,t[S=a].blocked?te():ee(),le(S,t[S].vector,o);break}0===i&&(te(),e("#addroad").addClass("highlightbutton").blur(),e("#stagelistpanel").addClass("invisible"),o.updateSize())}function U(t,o){(e('#stagelist li[stageid="'+t+'"]').children(".handle,.nohandle").addClass("invalidstage").removeClass("validstage"),o)&&(e("label[for='addradio']").addClass("highlightbutton"),e("#stagelist li[roadid='"+o+"']").length>=2&&e("#erremptystage").removeClass("invisible"))}function $(){e("#removefeature").prop("disabled",!0)}function ee(){e("#addstage").prop("disabled",!1)}function te(){e("#addstage").prop("disabled",!0)}function oe(){e("#editmode").prop("disabled",!0),e("#drawmode").prop("disabled",!0),ie()}function ie(){e("#editmode").removeClass("selectedbutton").prop("z-index","Infinity"),e("#drawmode").removeClass("selectedbutton").prop("z-index","Infinity"),e("#navmode").prop("disabled",!1).addClass("selectedbutton").blur().prop("z-index",999),X.setActive(!1),J.setActive(!1)}function ae(){e("#editmode").addClass("selectedbutton").blur().prop("z-index",999),e("#drawmode").removeClass("selectedbutton").prop("z-index","Infinity"),e("#navmode").removeClass("selectedbutton").prop("z-index","Infinity"),X.setActive(!1),J.setActive(!0)}function re(){e("#savestage").prop("disabled",!1)}function ne(e,t,o){var i=e.getView();o?i.fit(o,{duration:700}):i.animate({zoom:19,center:t,duration:700})}function se(t){t.length>0?(e("#stagelistpanel").removeClass("invisible"),K.updateSize()):(e("#stagelistpanel").addClass("invisible"),K.updateSize()),t.length<2?(e("#addstage").addClass("highlightbutton").blur(),e("#errvalidroad").removeClass("invisible"),e("#erremptystage").addClass("invisible")):t.find(".invalidstage").length>0?(e("#addstage").removeClass("highlightbutton"),e("#errvalidroad").addClass("invisible"),e("#erremptystage").removeClass("invisible")):(e("#addstage").removeClass("highlightbutton"),e("#errvalidroad").addClass("invisible"),e("#erremptystage").addClass("invisible"))}function le(t,o,i){e("#stagelist li").removeClass("ui-selected").hide();var r=e("#stagelist li[roadid='"+t+"']");r.show(),se(r),e("#roadlist li[roadid='"+t+"']").addClass("ui-selected"),i.getLayers().forEach((function(e){e instanceof a.layer.Vector&&e.setVisible(!1)})),o.setVisible(!0),o.getSource().getFeatures().length>0&&ne(i,null,o.getSource().getExtent())}function de(e,t){var o="editstage.php?cmid="+t+"&id="+e;window.location.href=o}function ce(e,t){var o="editstage.php?cmid="+t+"&roadid="+e;window.location.href=o}function ue(e,t){var o="editroad.php?cmid="+t+"&id="+e;window.location.href=o}function ge(e){var t="editroad.php?cmid="+e;window.location.href=t}function pe(t,o,a,n,s){e(".treasurehunt-editor-loader").show(),r.call([{methodname:"mod_treasurehunt_delete_road",args:{roadid:t,treasurehuntid:n,lockid:s}}])[0].done((function(r){if(e(".treasurehunt-editor-loader").hide(),r.status.code)i.alert("Error",r.status.msg,"Continue");else{!function(t){var o=e('#roadlist li[roadid="'+t+'"]');if(o.length>0){var i=e('#stagelist li[roadid="'+t+'"]');o.remove(),i.remove()}}(t),K.removeLayer(E.roads[t].vector),delete E.roads[t],Q(E.roads,K),oe();for(var n=a.getFeatures(),s=0;s<n.length;s++)if(t===n[s].get("roadid")){var l=o.getFeatureById(n[s].getId());l&&o.removeFeature(l),a.removeFeature(n[s])}}})).fail((function(t){e(".treasurehunt-editor-loader").hide(),console.log(t),i.exception(t)}))}function he(t,o,a,n,s,l){e(".treasurehunt-editor-loader").show(),r.call([{methodname:"mod_treasurehunt_delete_stage",args:{stageid:t,treasurehuntid:s,lockid:l}}])[0].done((function(r){if(e(".treasurehunt-editor-loader").hide(),r.status.code)i.alert("Error",r.status.msg,"Continue");else{var s,l=!1,d=o.getFeatureById(t);if(function(t,o,i,a){var r=e('#stagelist li[stageid="'+t+'"]');if(r.length>0){var n=r.attr("roadid"),s=r.index('li[roadid="'+n+'"]');r.remove();var l=e("#stagelist li[roadid='"+n+"']");se(l);for(var d=l.length,c=0;c<=s-1;c++)L(l,d,c,o,i,a)}}(t,o,a,n),d?("empty"!==d.get("idFeaturesPolygons")&&(l=d.get("idFeaturesPolygons").split(",")),o.removeFeature(d)):("empty"!==(d=a.getFeatureById(t)).get("idFeaturesPolygons")&&(l=d.get("idFeaturesPolygons").split(",")),a.removeFeature(d)),l)for(var c=0,u=l.length;c<u;c++)s=n.getSource().getFeatureById(l[c]),n.getSource().removeFeature(s)}})).fail((function(t){e(".treasurehunt-editor-loader").hide(),console.log(t),i.exception(t)}))}function fe(t,o,n,s,l,d){e(".treasurehunt-editor-loader").show();var c,u=new a.format.GeoJSON,g=t.getFeatures(),p=[];g.forEach((function(e){(c=e.clone()).unset("idFeaturesPolygons"),c.unset("name"),c.unset("clue"),c.unset("treasurehuntid"),c.setId(e.getId()),p.push(c)}));var h=u.writeFeaturesObject(p,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"});r.call([{methodname:"mod_treasurehunt_update_stages",args:{stages:h,treasurehuntid:n,lockid:d}}])[0].done((function(a){var r;(e(".treasurehunt-editor-loader").hide(),a.status.code)?i.alert("Error",a.status.msg,"Continue"):(t.forEachFeature((function(e){(r=o.getFeatureById(e.getId())).setProperties(e.getProperties()),r.setGeometry(e.getGeometry())})),t.clear(),e("#savestage").prop("disabled",!0),z=!1,"function"==typeof s&&l instanceof Array&&s.apply(null,l))})).fail((function(t){e(".treasurehunt-editor-loader").hide(),console.log(t),i.alert("Error",t.message,"Continue")}))}K.addInteraction(Y),function(t){r.call([{methodname:"mod_treasurehunt_fetch_treasurehunt",args:{treasurehuntid:t}}])[0].done((function(t){if(e(".treasurehunt-editor-loader").hide(),t.status.code)i.alert("Error",t.status.msg,"Continue");else{t.treasurehunt.stages;var o,r,n=new a.format.GeoJSON,s=t.treasurehunt.roads;Array.isArray(s)||(s=Object.values(s)),s.forEach((function(t){t.blocked=1==t.blocked,function(t,o,i){if(e('#roadlist li[roadid="'+t+'"]').length<1){e('<li roadid="'+t+'" blocked="'+i+'"/>').appendTo(e("#roadlist")).addClass("ui-corner-all").append("<div class='roadname'>"+o+"</div>").append("<div class='modifyroad'><span class='ui-icon ui-icon-trash'></span><span class='ui-icon ui-icon-pencil'></span></div>")}}(t.id,t.name,t.blocked),r=n.readFeatures(t.stages,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"}),G.addFeatures(r),delete t.stages,o=new a.layer.Vector({source:new a.source.Vector({projection:"EPSG:3857"}),updateWhileAnimating:!0,style:Z}),r.forEach((function(i){null===i.getGeometry()&&i.setGeometry(new a.geom.MultiPolygon([]));for(var r=i.getGeometry().getPolygons(),n="empty",s=i.get("stageposition"),l=i.get("name"),d=i.get("clue"),c=i.getId(),u=t.blocked,g=0;g<r.length;g++){var p=new a.Feature(i.getProperties());p.setProperties({stageid:c});var h=r[g];p.setGeometry(h),p.setId(_),n=0===g?_:n+","+_,_++,o.getSource().addFeature(p)}i.setProperties({idFeaturesPolygons:""+n}),function(t,o,i,a,r,n){if(e('#stagelist li[stageid="'+t+'"]').length<1){var s=e('<li stageid="'+t+'" roadid="'+o+'" stageposition="'+i+'"/>').appendTo(e("#stagelist"));s.addClass("ui-corner-all").append("<div class='stagename'>"+a+"</div>").append("<div class='modifystage'><span class='ui-icon ui-icon-pencil'></span><span class='ui-icon ui-icon-info' data-id='#dialoginfo"+t+"'><div id='dialoginfo"+t+"' title='"+a+"'>"+r+"</div></span></div>"),n?s.addClass("blocked").prepend("<div class='nohandle validstage'><span class='ui-icon ui-icon-locked'></span><span class='sortable-number'>"+i+"</span></div>"):(s.prepend("<div class='handle validstage'><span class='ui-icon ui-icon-arrowthick-2-n-s'></span><span class='sortable-number'>"+i+"</span></div>"),s.children(".modifystage").prepend("<span class='ui-icon ui-icon-trash'></span>")),e("#dialoginfo"+t).dialog({maxHeight:500,autoOpen:!1})}else console.log("El li con "+t+" no ha podido crearse porque ya existia uno")}(c,t.id,s,l,d,u),0===r.length&&U(c)})),t.vector=o,K.addLayer(o),E.roads[t.id]=t})),e("#stagelist li").sort((function(t,o){var i=parseInt(e(t).attr("stageposition")),a=parseInt(e(o).attr("stageposition"));return i<a?1:i>a?-1:0})).appendTo(e("#stagelist")),void 0!==E.roads[l]?(S=l,E.roads[S].blocked?te():ee(),le(S,E.roads[S].vector,K)):Q(E.roads,K)}})).fail((function(t){e(".treasurehunt-editor-loader").hide(),console.log(t),i.exception(t)}))}(o),e(".searchaddress").autocomplete({minLength:4,source:function(e,t){var o=e.term;V&&V.abort(),V=n.search(o).done(e=>{if(0!==e.length){for(var o=[],i=0,a=e.length;i<a;i++){var r,n;r=e[i].lat,n=e[i].lon;var s={value:e[i].display_name,latitude:r,longitude:n,boundingbox:e[i].boundingbox};o[i]=s}t(o)}else t()}).fail(()=>{t()}).always(()=>{V=null})},select:function(e,t){if(t.item.boundingbox){var o=[];o[0]=parseFloat(t.item.boundingbox[2]),o[1]=parseFloat(t.item.boundingbox[0]),o[2]=parseFloat(t.item.boundingbox[3]),o[3]=parseFloat(t.item.boundingbox[1]),o=a.proj.transformExtent(o,"EPSG:4326","EPSG:3857"),ne(K,null,o)}else{var i=a.proj.fromLonLat([t.item.longitude,t.item.latitude]);ne(K,i)}},autoFocus:!0}).on("click",(function(){e(this).autocomplete("search",e(this).value)})),e.ui.autocomplete.prototype._resizeMenu=function(){this.menu.element.outerWidth(this.element.outerWidth())},e("#drawmode").css("position","relative").on("click",(function(){e("#drawmode").addClass("selectedbutton").blur().prop("z-index","Infinity"),e("#editmode").removeClass("selectedbutton").prop("z-index","auto"),e("#navmode").removeClass("selectedbutton").prop("z-index","auto"),J.setActive(!1),X.setActive(!0)})),e("#editmode").css("position","relative").on("click",ae),e("#navmode").css("position","relative").on("click",ie),e("#addstage").on("click",(function(){z?fe(A,G,o,ce,[S,t],c):ce(S,t)})),e("#addroad").on("click",(function(){z?fe(A,G,o,ge,[t],c):ge(t)})),e("#removefeature").on("click",(function(){i.confirm(s.areyousure,s.removewarning,s.confirm,s.cancel,(function(){!function(e,t,o,i){e.forEach((function(e){var r,n,s=e.get("stageid"),l=e.get("roadid"),d=o.getFeatureById(s);d||((d=t.getFeatureById(s).clone()).setId(s),o.addFeature(d));for(var c=new a.geom.MultiPolygon([]),u=0,g=(r=d.get("idFeaturesPolygons").split(",")).length;u<g;u++)r[u]!=e.getId()?c.appendPolygon(i.getSource().getFeatureById(r[u]).getGeometry().clone()):n=u;d.setGeometry(c),c.getPolygons().length?(r.splice(n,1),d.setProperties({idFeaturesPolygons:r.join()})):(d.setProperties({idFeaturesPolygons:"empty"}),U(s,l))}))}(k,G,A,E.roads[S].vector),function(e,t){e.forEach((function(e){t.getSource().removeFeature(e)})),e.clear()}(k,E.roads[S].vector),$(),re(),z=!0}))})),e("#savestage").on("click",(function(){fe(A,G,o,null,null,c)})),e("#stagelist").on("click",".ui-icon-info, .ui-icon-alert",(function(){var t=e(this).data("id");e(t).dialog("open"),e(".ui-dialog :button").blur()})),e("#stagelist").on("click",".ui-icon-trash",(function(){var t=e(this).parents("li");i.confirm(s.areyousure,s.removewarning,s.confirm,s.cancel,(function(){he(parseInt(t.attr("stageid")),A,G,E.roads[S].vector,o,c)}))})),e("#stagelist").on("click",".ui-icon-pencil",(function(){var i=parseInt(e(this).parents("li").attr("stageid"));z?fe(A,G,o,de,[i,t],c):de(i,t)}));e("#stagelist").on("click","li",(function(t){e(t.target).is(".handle ,.nohandle, .ui-icon , .sortable-number")?t.preventDefault():(e(this).addClass("ui-selected").siblings().removeClass("ui-selected"),I=parseInt(e(this).attr("stageposition")),x=parseInt(e(this).attr("stageid")),function(e,t,o,i,a,r){t.getSource().clear(),i.clear(),j={};var n=a.getFeatureById(o);if(n||(n=r.getFeatureById(o)))if("empty"!==n.get("idFeaturesPolygons")){for(var s=n.get("idFeaturesPolygons").split(","),l=0,d=s.length;l<d;l++)t.getSource().addFeature(e.getSource().getFeatureById(s[l]).clone()),j[s[l]]=!0;t.getSource().getFeatures().length&&ne(K,null,t.getSource().getExtent())}else e.changed();else e.changed()}(E.roads[S].vector,M,x,k,A,G),e("#drawmode").prop("disabled",!1),e("#editmode").prop("disabled",!1),ae(),e(this).find(".invalidstage").length>0?e("label[for='addradio']").addClass("highlightbutton"):e("label[for='addradio']").removeClass("highlightbutton"),B&&(T=!0,X.Polygon.finishDrawing()))})),e("#roadlist").on("click","li",(function(t){if(e(t.target).is(".ui-icon"))t.preventDefault();else{e(this).addClass("ui-selected").siblings().removeClass("ui-selected"),j={},B&&(T=!0,X.Polygon.finishDrawing()),S=e(this).attr("roadid");var o,i=e(this).attr("blocked");parseInt(i)||"true"===i?te():ee(),le(S,E.roads[S].vector,K),oe(),o="fixed"===e("header[role=banner]").css("position")?parseInt(e(".treasurehunt-editor").offset().top)-parseInt(e("header[role=banner]").outerHeight(!0)):parseInt(e(".treasurehunt-editor").offset().top),e("html, body").animate({scrollTop:o},500)}})),e("#roadlist").on("click",".ui-icon-pencil",(function(){var i=parseInt(e(this).parents("li").attr("roadid"));z?fe(A,G,o,ue,[i,t],c):ue(i,t)})),e("#roadlist").on("click",".ui-icon-trash",(function(){var t=e(this).parents("li");i.confirm(s.areyousure,s.removeroadwarning,s.confirm,s.cancel,(function(){pe(parseInt(t.attr("roadid")),A,G,o,c)}))})),K.on("pointermove",(function(e){if(!e.dragging&&!X.getActive()&&J.getActive()){var t=K.getEventPixel(e.originalEvent),o=K.forEachFeatureAtPixel(t,(function(e,t){if(j[e.getId()]){var o=!1;return k.forEach((function(t){e===t&&(o=!0)})),!o}return!1}));K.getTargetElement().style.cursor=o?"pointer":""}})),e(document).on("touchend",".ui-dialog-titlebar-close",(function(){e(this).parent().siblings(".ui-dialog-content").dialog("close")})),e(".searchaddress").on("input",(function(){var t;e(".closeicon")[(t=this.value,t?"removeClass":"addClass")]("invisible")})),e(".closeicon").on("touchstart click",(function(t){t.preventDefault(),e(this).addClass("invisible"),e(".searchaddress").val("").change().autocomplete("close")})),window.onbeforeunload=function(e){var t=s.savewarning;e=e||window.event;if(z)return e&&(e.returnValue=t),t}}return{edittreasurehunt:function(e,t,o,a,r){var n=["stage","road","aerialmap","roadmap","basemaps","add","modify","save","remove","searchlocation","savewarning","removewarning","areyousure","removeroadwarning","confirm","cancel","pegmanlabel","custommapimageerror"],s=n.map((function(e){return{key:e,component:"treasurehunt"}}));l.get_strings(s).done((function(s){for(var l=[],d=0;d<n.length;d++)l[n[d]]=s[d];if(null!=r&&null!==r.custombackgroundurl){var u=new Image;u.onload=function(){r.imgwidth=this.naturalWidth,r.imgheight=this.naturalHeight,c(e,t,l,o,a,r)},u.onerror=function(n){i.alert("Error",l.custommapimageerror,"Continue"),c(e,t,l,o,a,r)},u.src=r.custombackgroundurl}else c(e,t,l,o,a,r)}))}}}));